source: src/libcfa/Makefile.in @ d7bcbf5

aaron-thesisarm-ehcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprnew-envno_listpersistent-indexerresolv-newwith_gc
Last change on this file since d7bcbf5 was d7bcbf5, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

Added invoke.c to libcfa

  • Property mode set to 100644
File size: 24.4 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40subdir = src/libcfa
41DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
42        $(srcdir)/Makefile.in
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
52am__vpath_adj = case $$p in \
53    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
54    *) f=$$p;; \
55  esac;
56am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
57am__install_max = 40
58am__nobase_strip_setup = \
59  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
60am__nobase_strip = \
61  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
62am__nobase_list = $(am__nobase_strip_setup); \
63  for p in $$list; do echo "$$p $$p"; done | \
64  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
65  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
66    if (++n[$$2] == $(am__install_max)) \
67      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
68    END { for (dir in files) print dir, files[dir] }'
69am__base_list = \
70  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
71  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
72am__uninstall_files_from_dir = { \
73  test -z "$$files" \
74    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
75    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
76         $(am__cd) "$$dir" && rm -f $$files; }; \
77  }
78am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
79        "$(DESTDIR)$(includedir)"
80LIBRARIES = $(lib_LIBRARIES)
81AR = ar
82ARFLAGS = cru
83AM_V_AR = $(am__v_AR_@AM_V@)
84am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
85am__v_AR_0 = @echo "  AR    " $@;
86AM_V_at = $(am__v_at_@AM_V@)
87am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
88am__v_at_0 = @
89libcfa_a_AR = $(AR) $(ARFLAGS)
90libcfa_a_LIBADD =
91am__dirstamp = $(am__leading_dot)dirstamp
92am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
93        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
94        rational.$(OBJEXT) assert.$(OBJEXT) \
95        containers/vector.$(OBJEXT) concurrency/threads.$(OBJEXT)
96am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1) \
97        concurrency/CtxSwitch-x86_64.$(OBJEXT) \
98        concurrency/invoke.$(OBJEXT)
99libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
100DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
101depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
102am__depfiles_maybe = depfiles
103am__mv = mv -f
104CPPASCOMPILE = $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
105        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
106AM_V_CPPAS = $(am__v_CPPAS_@AM_V@)
107am__v_CPPAS_ = $(am__v_CPPAS_@AM_DEFAULT_V@)
108am__v_CPPAS_0 = @echo "  CPPAS " $@;
109COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
110        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
111AM_V_CC = $(am__v_CC_@AM_V@)
112am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
113am__v_CC_0 = @echo "  CC    " $@;
114CCLD = $(CC)
115LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
116AM_V_CCLD = $(am__v_CCLD_@AM_V@)
117am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
118am__v_CCLD_0 = @echo "  CCLD  " $@;
119AM_V_GEN = $(am__v_GEN_@AM_V@)
120am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
121am__v_GEN_0 = @echo "  GEN   " $@;
122SOURCES = $(libcfa_a_SOURCES)
123DIST_SOURCES = $(libcfa_a_SOURCES)
124DATA = $(cfalib_DATA)
125HEADERS = $(nobase_include_HEADERS)
126ETAGS = etags
127CTAGS = ctags
128DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
129ACLOCAL = @ACLOCAL@
130ALLOCA = @ALLOCA@
131AMTAR = @AMTAR@
132AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
133AUTOCONF = @AUTOCONF@
134AUTOHEADER = @AUTOHEADER@
135AUTOMAKE = @AUTOMAKE@
136AWK = @AWK@
137BACKEND_CC = @BACKEND_CC@
138CC = ${abs_top_srcdir}/src/driver/cfa
139CCAS = @CCAS@
140CCASDEPMODE = @CCASDEPMODE@
141CCASFLAGS = @CCASFLAGS@
142CCDEPMODE = @CCDEPMODE@
143CFA_BACKEND_CC = @CFA_BACKEND_CC@
144CFA_BINDIR = @CFA_BINDIR@
145CFA_FLAGS = @CFA_FLAGS@
146CFA_INCDIR = @CFA_INCDIR@
147CFA_LIBDIR = @CFA_LIBDIR@
148CFA_PREFIX = @CFA_PREFIX@
149CFLAGS = ${EXTRA_FLAGS} -quiet -no-include-stdhdr -XCFA -t -B${abs_top_srcdir}/src/driver
150CPP = @CPP@
151CPPFLAGS = @CPPFLAGS@
152CXX = @CXX@
153CXXDEPMODE = @CXXDEPMODE@
154CXXFLAGS = @CXXFLAGS@
155CYGPATH_W = @CYGPATH_W@
156DEFS = @DEFS@
157DEPDIR = @DEPDIR@
158ECHO_C = @ECHO_C@
159ECHO_N = @ECHO_N@
160ECHO_T = @ECHO_T@
161EGREP = @EGREP@
162EXEEXT = @EXEEXT@
163GREP = @GREP@
164INSTALL = @INSTALL@
165INSTALL_DATA = @INSTALL_DATA@
166INSTALL_PROGRAM = @INSTALL_PROGRAM@
167INSTALL_SCRIPT = @INSTALL_SCRIPT@
168INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
169LDFLAGS = @LDFLAGS@
170LEX = @LEX@
171LEXLIB = @LEXLIB@
172LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
173LIBOBJS = @LIBOBJS@
174LIBS = @LIBS@
175LTLIBOBJS = @LTLIBOBJS@
176MAINT = @MAINT@
177MAKEINFO = @MAKEINFO@
178MKDIR_P = @MKDIR_P@
179OBJEXT = @OBJEXT@
180PACKAGE = @PACKAGE@
181PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
182PACKAGE_NAME = @PACKAGE_NAME@
183PACKAGE_STRING = @PACKAGE_STRING@
184PACKAGE_TARNAME = @PACKAGE_TARNAME@
185PACKAGE_URL = @PACKAGE_URL@
186PACKAGE_VERSION = @PACKAGE_VERSION@
187PATH_SEPARATOR = @PATH_SEPARATOR@
188RANLIB = @RANLIB@
189SET_MAKE = @SET_MAKE@
190SHELL = @SHELL@
191STRIP = @STRIP@
192VERSION = @VERSION@
193YACC = @YACC@
194YFLAGS = @YFLAGS@
195abs_builddir = @abs_builddir@
196abs_srcdir = @abs_srcdir@
197abs_top_builddir = @abs_top_builddir@
198abs_top_srcdir = @abs_top_srcdir@
199ac_ct_CC = @ac_ct_CC@
200ac_ct_CXX = @ac_ct_CXX@
201am__include = @am__include@
202am__leading_dot = @am__leading_dot@
203am__quote = @am__quote@
204am__tar = @am__tar@
205am__untar = @am__untar@
206bindir = @bindir@
207build_alias = @build_alias@
208builddir = @builddir@
209datadir = @datadir@
210datarootdir = @datarootdir@
211docdir = @docdir@
212dvidir = @dvidir@
213exec_prefix = @exec_prefix@
214host_alias = @host_alias@
215htmldir = @htmldir@
216includedir = @includedir@
217infodir = @infodir@
218install_sh = @install_sh@
219libdir = @libdir@
220libexecdir = @libexecdir@
221localedir = @localedir@
222localstatedir = @localstatedir@
223mandir = @mandir@
224mkdir_p = @mkdir_p@
225oldincludedir = @oldincludedir@
226pdfdir = @pdfdir@
227prefix = @prefix@
228program_transform_name = @program_transform_name@
229psdir = @psdir@
230sbindir = @sbindir@
231sharedstatedir = @sharedstatedir@
232srcdir = @srcdir@
233sysconfdir = @sysconfdir@
234target_alias = @target_alias@
235top_build_prefix = @top_build_prefix@
236top_builddir = @top_builddir@
237top_srcdir = @top_srcdir@
238
239# create object files in directory with source files
240AUTOMAKE_OPTIONS = subdir-objects
241lib_LIBRARIES = libcfa.a
242
243# put into lib for now
244cfalibdir = ${libdir}
245cfalib_DATA = builtins.cf extras.cf prelude.cf
246MAINTAINERCLEANFILES = builtins.cf extras.cf ${addprefix ${libdir}/,${cfalib_DATA}} ${addprefix ${libdir}/,${lib_LIBRARIES}}
247EXTRA_FLAGS = \
248        -g \
249        -Wall \
250        -Wno-unused-function \
251        @CFA_FLAGS@ \
252        -I${abs_top_srcdir}/src/libcfa/libhdr \
253        # TEMPORARY: does not build with -O2
254
255headers = limits stdlib math iostream fstream iterator rational assert containers/vector concurrency/threads
256runtimehdrs = concurrency
257libobjs = ${headers:=.o}
258libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c} concurrency/CtxSwitch-x86_64.S concurrency/invoke.c
259stdhdr = ${shell echo stdhdr/*}
260nobase_include_HEADERS = ${headers} ${stdhdr}
261CLEANFILES = libcfa-prelude.c
262all: all-am
263
264.SUFFIXES:
265.SUFFIXES: .S .c .o .obj
266$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
267        @for dep in $?; do \
268          case '$(am__configure_deps)' in \
269            *$$dep*) \
270              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
271                && { if test -f $@; then exit 0; else break; fi; }; \
272              exit 1;; \
273          esac; \
274        done; \
275        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
276        $(am__cd) $(top_srcdir) && \
277          $(AUTOMAKE) --foreign src/libcfa/Makefile
278.PRECIOUS: Makefile
279Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
280        @case '$?' in \
281          *config.status*) \
282            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
283          *) \
284            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
285            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
286        esac;
287
288$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
289        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
290
291$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
292        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
293$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
294        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
295$(am__aclocal_m4_deps):
296install-libLIBRARIES: $(lib_LIBRARIES)
297        @$(NORMAL_INSTALL)
298        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
299        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
300        list2=; for p in $$list; do \
301          if test -f $$p; then \
302            list2="$$list2 $$p"; \
303          else :; fi; \
304        done; \
305        test -z "$$list2" || { \
306          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
307          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
308        @$(POST_INSTALL)
309        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
310        for p in $$list; do \
311          if test -f $$p; then \
312            $(am__strip_dir) \
313            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
314            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
315          else :; fi; \
316        done
317
318uninstall-libLIBRARIES:
319        @$(NORMAL_UNINSTALL)
320        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
321        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
322        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
323
324clean-libLIBRARIES:
325        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
326containers/$(am__dirstamp):
327        @$(MKDIR_P) containers
328        @: > containers/$(am__dirstamp)
329containers/$(DEPDIR)/$(am__dirstamp):
330        @$(MKDIR_P) containers/$(DEPDIR)
331        @: > containers/$(DEPDIR)/$(am__dirstamp)
332containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
333        containers/$(DEPDIR)/$(am__dirstamp)
334concurrency/$(am__dirstamp):
335        @$(MKDIR_P) concurrency
336        @: > concurrency/$(am__dirstamp)
337concurrency/$(DEPDIR)/$(am__dirstamp):
338        @$(MKDIR_P) concurrency/$(DEPDIR)
339        @: > concurrency/$(DEPDIR)/$(am__dirstamp)
340concurrency/threads.$(OBJEXT): concurrency/$(am__dirstamp) \
341        concurrency/$(DEPDIR)/$(am__dirstamp)
342concurrency/CtxSwitch-x86_64.$(OBJEXT): concurrency/$(am__dirstamp) \
343        concurrency/$(DEPDIR)/$(am__dirstamp)
344concurrency/invoke.$(OBJEXT): concurrency/$(am__dirstamp) \
345        concurrency/$(DEPDIR)/$(am__dirstamp)
346libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
347        $(AM_V_at)-rm -f libcfa.a
348        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
349        $(AM_V_at)$(RANLIB) libcfa.a
350
351mostlyclean-compile:
352        -rm -f *.$(OBJEXT)
353        -rm -f concurrency/CtxSwitch-x86_64.$(OBJEXT)
354        -rm -f concurrency/invoke.$(OBJEXT)
355        -rm -f concurrency/threads.$(OBJEXT)
356        -rm -f containers/vector.$(OBJEXT)
357
358distclean-compile:
359        -rm -f *.tab.c
360
361@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/assert.Po@am__quote@
362@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
363@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
364@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
365@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
366@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
367@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
368@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
369@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
370@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/CtxSwitch-x86_64.Po@am__quote@
371@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/invoke.Po@am__quote@
372@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/threads.Po@am__quote@
373@AMDEP_TRUE@@am__include@ @am__quote@containers/$(DEPDIR)/vector.Po@am__quote@
374
375.S.o:
376@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
377@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
378@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
379@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
380@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
381@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ $<
382
383.S.obj:
384@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
385@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
386@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
387@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
388@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
389@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
390
391.c.o:
392@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
393@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
394@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
395@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
396@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
397@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
398
399.c.obj:
400@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
401@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
402@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
403@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
404@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
405@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
406install-cfalibDATA: $(cfalib_DATA)
407        @$(NORMAL_INSTALL)
408        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
409        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
410        for p in $$list; do \
411          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
412          echo "$$d$$p"; \
413        done | $(am__base_list) | \
414        while read files; do \
415          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
416          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
417        done
418
419uninstall-cfalibDATA:
420        @$(NORMAL_UNINSTALL)
421        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
422        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
423        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
424install-nobase_includeHEADERS: $(nobase_include_HEADERS)
425        @$(NORMAL_INSTALL)
426        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
427        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
428        $(am__nobase_list) | while read dir files; do \
429          xfiles=; for file in $$files; do \
430            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
431            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
432          test -z "$$xfiles" || { \
433            test "x$$dir" = x. || { \
434              echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
435              $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
436            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
437            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
438        done
439
440uninstall-nobase_includeHEADERS:
441        @$(NORMAL_UNINSTALL)
442        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
443        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
444        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
445
446ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
447        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
448        unique=`for i in $$list; do \
449            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
450          done | \
451          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
452              END { if (nonempty) { for (i in files) print i; }; }'`; \
453        mkid -fID $$unique
454tags: TAGS
455
456TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
457                $(TAGS_FILES) $(LISP)
458        set x; \
459        here=`pwd`; \
460        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
461        unique=`for i in $$list; do \
462            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
463          done | \
464          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
465              END { if (nonempty) { for (i in files) print i; }; }'`; \
466        shift; \
467        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
468          test -n "$$unique" || unique=$$empty_fix; \
469          if test $$# -gt 0; then \
470            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
471              "$$@" $$unique; \
472          else \
473            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
474              $$unique; \
475          fi; \
476        fi
477ctags: CTAGS
478CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
479                $(TAGS_FILES) $(LISP)
480        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
481        unique=`for i in $$list; do \
482            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
483          done | \
484          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
485              END { if (nonempty) { for (i in files) print i; }; }'`; \
486        test -z "$(CTAGS_ARGS)$$unique" \
487          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
488             $$unique
489
490GTAGS:
491        here=`$(am__cd) $(top_builddir) && pwd` \
492          && $(am__cd) $(top_srcdir) \
493          && gtags -i $(GTAGS_ARGS) "$$here"
494
495distclean-tags:
496        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
497
498distdir: $(DISTFILES)
499        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
500        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
501        list='$(DISTFILES)'; \
502          dist_files=`for file in $$list; do echo $$file; done | \
503          sed -e "s|^$$srcdirstrip/||;t" \
504              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
505        case $$dist_files in \
506          */*) $(MKDIR_P) `echo "$$dist_files" | \
507                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
508                           sort -u` ;; \
509        esac; \
510        for file in $$dist_files; do \
511          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
512          if test -d $$d/$$file; then \
513            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
514            if test -d "$(distdir)/$$file"; then \
515              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
516            fi; \
517            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
518              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
519              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
520            fi; \
521            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
522          else \
523            test -f "$(distdir)/$$file" \
524            || cp -p $$d/$$file "$(distdir)/$$file" \
525            || exit 1; \
526          fi; \
527        done
528check-am: all-am
529check: check-am
530all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
531installdirs:
532        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
533          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
534        done
535install: install-am
536install-exec: install-exec-am
537install-data: install-data-am
538uninstall: uninstall-am
539
540install-am: all-am
541        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
542
543installcheck: installcheck-am
544install-strip:
545        if test -z '$(STRIP)'; then \
546          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
547            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
548              install; \
549        else \
550          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
551            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
552            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
553        fi
554mostlyclean-generic:
555
556clean-generic:
557        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
558
559distclean-generic:
560        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
561        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
562        -rm -f concurrency/$(DEPDIR)/$(am__dirstamp)
563        -rm -f concurrency/$(am__dirstamp)
564        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
565        -rm -f containers/$(am__dirstamp)
566
567maintainer-clean-generic:
568        @echo "This command is intended for maintainers to use"
569        @echo "it deletes files that may require special tools to rebuild."
570        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
571clean: clean-am
572
573clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
574
575distclean: distclean-am
576        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
577        -rm -f Makefile
578distclean-am: clean-am distclean-compile distclean-generic \
579        distclean-tags
580
581dvi: dvi-am
582
583dvi-am:
584
585html: html-am
586
587html-am:
588
589info: info-am
590
591info-am:
592
593install-data-am: install-cfalibDATA install-nobase_includeHEADERS
594
595install-dvi: install-dvi-am
596
597install-dvi-am:
598
599install-exec-am: install-libLIBRARIES
600
601install-html: install-html-am
602
603install-html-am:
604
605install-info: install-info-am
606
607install-info-am:
608
609install-man:
610
611install-pdf: install-pdf-am
612
613install-pdf-am:
614
615install-ps: install-ps-am
616
617install-ps-am:
618
619installcheck-am:
620
621maintainer-clean: maintainer-clean-am
622        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
623        -rm -f Makefile
624maintainer-clean-am: distclean-am maintainer-clean-generic \
625        maintainer-clean-local
626
627mostlyclean: mostlyclean-am
628
629mostlyclean-am: mostlyclean-compile mostlyclean-generic
630
631pdf: pdf-am
632
633pdf-am:
634
635ps: ps-am
636
637ps-am:
638
639uninstall-am: uninstall-cfalibDATA uninstall-libLIBRARIES \
640        uninstall-nobase_includeHEADERS
641
642.MAKE: install-am install-strip
643
644.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
645        clean-libLIBRARIES ctags distclean distclean-compile \
646        distclean-generic distclean-tags distdir dvi dvi-am html \
647        html-am info info-am install install-am install-cfalibDATA \
648        install-data install-data-am install-dvi install-dvi-am \
649        install-exec install-exec-am install-html install-html-am \
650        install-info install-info-am install-libLIBRARIES install-man \
651        install-nobase_includeHEADERS install-pdf install-pdf-am \
652        install-ps install-ps-am install-strip installcheck \
653        installcheck-am installdirs maintainer-clean \
654        maintainer-clean-generic maintainer-clean-local mostlyclean \
655        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
656        tags uninstall uninstall-am uninstall-cfalibDATA \
657        uninstall-libLIBRARIES uninstall-nobase_includeHEADERS
658
659
660# create extra forward types/declarations to reduce inclusion of library files
661extras.cf : extras.regx extras.c
662        ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -E ${srcdir}/extras.c | grep -f extras.regx > ${srcdir}/extras.cf
663
664# create forward declarations for gcc builtins
665builtins.cf : builtins.c
666        ${AM_V_GEN}if [ -e $< ] ; then \
667                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
668        fi
669
670builtins.c : builtins.def prototypes.awk
671        ${AM_V_GEN}if [ -e $< ] ; then \
672                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
673        fi
674
675builtins.def :
676
677prototypes.awk :
678
679#--------------------------------------------------
680
681libcfa-prelude.c : ${srcdir}/prelude.cf ${srcdir}/extras.cf ${srcdir}/builtins.cf
682        ${AM_V_GEN}${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
683
684libcfa-prelude.o : libcfa-prelude.c
685         ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -c -o $@ $<
686
687# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
688% : %.c
689        @true
690
691concurrency/invoke.o : concurrency/invoke.c
692        $(AM_V_CC) @BACKEND_CC@ ${EXTRA_FLAGS} -c -o $@ $<
693
694${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp ${cfalib_DATA} # add dependency to cfa-cpp so all libraries are rebuilt with new translator
695
696maintainer-clean-local:
697        -rm -rf ${includedir}/*
698
699# Tell versions [3.59,3.63) of GNU make to not export all variables.
700# Otherwise a system limit (for SysV at least) may be exceeded.
701.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.